FUNCTION TEMPL(3)

NAME
boost::xpressive::operator<< - insertion operator for sending sub-matches to ostreams

SYNOPSIS

// In header: <boost/xpressive/sub_match.hpp>
template<typename BidiIter, typename Char, typename Traits>
  std::basic_ostream< Char, Traits > &
  operator<<(std::basic_ostream< Char, Traits > & sout,
             sub_match< BidiIter > const & sub);

DESCRIPTION

Parameters:

    sout
        output stream.

    sub
        sub_match object to be written to the stream.

Returns:
    sout << sub.str()